View Issue Details

IDProjectCategoryView StatusLast Update
0004825Talerbank (demonstrator)public2017-06-06 14:18
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004825: bank stores redundant history entries
DescriptionThe bank currently stores

(Florian, Marcello, 10EUR, "FROM")
(Marcello, Florian, 10EUR, "TO")

for every transaction, in the *same* table. This is unnecessary / confusing. We also store "FROM" and "TO" literally as string literals in the database, which is also bad.
TagsNo tags attached.

Activities

Florian Dold

2017-01-13 15:02

manager   ~0011634

Last edited: 2017-01-13 15:04

View 3 revisions

Fixed in af104fce9b. We still do double-entry bookkeeping, but each transaction is only one database entry, and we don't have any unnecessary string literals in there.

Issue History

Date Modified Username Field Change
2016-11-29 05:25 Florian Dold New Issue
2016-11-29 05:25 Florian Dold Status new => assigned
2016-11-29 05:25 Florian Dold Assigned To => Marcello Stanisci
2016-11-29 05:25 Florian Dold Assigned To Marcello Stanisci => Florian Dold
2017-01-13 15:02 Florian Dold Note Added: 0011634
2017-01-13 15:03 Florian Dold Note Edited: 0011634 View Revisions
2017-01-13 15:04 Florian Dold Note Edited: 0011634 View Revisions
2017-01-13 15:04 Florian Dold Status assigned => resolved
2017-01-13 15:04 Florian Dold Resolution open => fixed
2017-01-16 10:20 Christian Grothoff Product Version => SVN HEAD
2017-01-16 10:20 Christian Grothoff Fixed in Version => 0.3
2017-01-16 10:20 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed